<style lang="scss" scoped>
	.pdbox{ padding:30rpx 20rpx; line-height:40rpx; rich-text{ margin-bottom:15rpx; line-height:1.8em; color:#666;}}
</style>
<template>
	<view>
			<view class="pdbox">
					<rich-text :nodes="about.content"></rich-text>
			</view>		
	</view>
</template>

<script>
	export default {
		data() {
			return {			
				 id:'',
					about:{},
			}
		},
		onLoad(e) {
			  this.id = e.id;
					this.getOne();
		},
		methods: {	
				async getOne(){
					  const json = await this.api.getOne({q:{id:this.id,field:'content,title'}})
							if(json.data.code==0){						  
									uni.setNavigationBarTitle({title:json.data.data.title})
									this.about = json.data.data;
							}
				},
		}
	}
</script>
